## apngasm-3.1.10.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(APNGASM)

add_subdirectory(${PROJECT_SOURCE_DIR}/lib)
add_subdirectory(${PROJECT_SOURCE_DIR}/cli)
add_subdirectory(${PROJECT_SOURCE_DIR}/test)

# Create package command
if (UNIX OR APPLE OR MINGW)
  add_custom_target(
    package
    COMMAND ${CMAKE_MAKE_PROGRAM}
    COMMAND ${CMAKE_MAKE_PROGRAM} package-lib
    COMMAND ${CMAKE_MAKE_PROGRAM} package-cli
    WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
  )
endif ()

=== cli/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(APNGASM_CLI)

### Set version
set(APNGASM_CLI_VERSION_MAJOR 3)
set(APNGASM_CLI_VERSION_MINOR 1)
set(APNGASM_CLI_VERSION_PATCH 10)

# Set the version code
set(APNGASM_CLI_VERSION "${APNGASM_CLI_VERSION_MAJOR}.${APNGASM_CLI_VERSION_MINOR}.${APNGASM_CLI_VERSION_PATCH}")
# Generate a header file with the version code
configure_file(${PROJECT_SOURCE_DIR}/src/apngasm-cli-version.h.in ${PROJECT_BINARY_DIR}/src/apngasm-cli-version.h @ONLY)

# Add include paths
include_directories(
  ${PROJECT_BINARY_DIR}/src
  ${PROJECT_SOURCE_DIR}/../lib/src
  ${PROJECT_BINARY_DIR}/../lib/src # Version header is generated here
)

# Add library build path to link directory paths
link_directories(BEFORE ${PROJECT_BINARY_DIR}/../lib)

# Hack for MSYS2 to detect packages properly
# Note: this hack necessitates a 64 bit build
if (MSYS)
  include_directories("/mingw64/include")
  link_directories("/mingw64/lib")
  set(Boost_ROOT "/mingw64")
endif ()

# Search and prepare Boost
if (APPLE OR WIN32)
  set(Boost_USE_STATIC_LIBS ON)
endif ()
find_package(Boost REQUIRED COMPONENTS program_options regex system)
include_directories(${Boost_INCLUDE_DIRS})

# Generate executable
add_executable(apngasm-cli
  ${PROJECT_SOURCE_DIR}/src/apngasm-cli.cpp
  ${PROJECT_SOURCE_DIR}/src/options.cpp
  ${PROJECT_SOURCE_DIR}/src/cli.cpp
)
set_target_properties(apngasm-cli
  PROPERTIES 
  OUTPUT_NAME apngasm
  CXX_STANDARD 20
)

# Link to built apngasm library
target_link_libraries(apngasm-cli
  apngasm
  ${Boost_LIBRARIES}
)

# Installation
install(TARGETS apngasm-cli DESTINATION "bin")

# Create package command
set(PACKAGE_DIR ${PROJECT_BINARY_DIR}/package)
set(APNGASM_BINARIES ${PROJECT_BINARY_DIR}/apngasm${CMAKE_EXECUTABLE_SUFFIX})

if (WIN32 AND NOT MINGW)
  set(INSTALL_HEADERS
    ${PROJECT_SOURCE_DIR}/../lib/src/apngasm.h
    ${PROJECT_SOURCE_DIR}/../lib/src/apngframe.h
    ${PROJECT_SOURCE_DIR}/../lib/src/apngasm-conf.h
    ${PROJECT_BINARY_DIR}/../lib/src/apngasm-version.h)
  #get_property(INSTALL_LIBS TARGET apngasm PROPERTY LOCATION)
  #string(REPLACE "$(Configuration)" "\\\${CMAKE_INSTALL_CONFIG_NAME}" INSTALL_APPS "${INSTALL_APPS}")
  #string(REPLACE "$(Configuration)" "\\\${CMAKE_INSTALL_CONFIG_NAME}" INSTALL_LIBS "${INSTALL_LIBS}")
endif ()

include(${PROJECT_BINARY_DIR}/../lib/manifest.txt)
configure_file(${PROJECT_SOURCE_DIR}/package/CMakeLists.txt.in ${PACKAGE_DIR}/CMakeLists.txt @ONLY)

if (UNIX OR APPLE OR MINGW)
  add_custom_target(
    package-cli
    COMMAND ${CMAKE_COMMAND} .
    COMMAND ${CMAKE_MAKE_PROGRAM} package
    WORKING_DIRECTORY ${PACKAGE_DIR}
  )
  install(FILES ${PROJECT_SOURCE_DIR}/../docs/man/apngasm.1 DESTINATION ${CMAKE_INSTALL_PREFIX}/man/man1)
endif ()

=== lib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(APNGASM_LIB)

### Set version
set(APNGASM_LIB_VERSION_MAJOR 3)
set(APNGASM_LIB_VERSION_MINOR 1)
set(APNGASM_LIB_VERSION_PATCH 10)

# Set the version code
set(APNGASM_LIB_VERSION "${APNGASM_LIB_VERSION_MAJOR}.${APNGASM_LIB_VERSION_MINOR}.${APNGASM_LIB_VERSION_PATCH}")
# Generate a header file with the version code
configure_file(${PROJECT_SOURCE_DIR}/src/apngasm-version.h.in ${PROJECT_BINARY_DIR}/src/apngasm-version.h @ONLY)
# Generate a package manifest file with the version
configure_file(${PROJECT_SOURCE_DIR}/manifest.txt.in ${PROJECT_BINARY_DIR}/manifest.txt @ONLY)

include_directories(${PROJECT_BINARY_DIR}/src)

# Sources and Headers
set(APNGASM_HEADERS
  ${PROJECT_SOURCE_DIR}/src/apngasm.h
  ${PROJECT_SOURCE_DIR}/src/apngframe.h
  ${PROJECT_SOURCE_DIR}/src/apngasm-conf.h
  ${PROJECT_BINARY_DIR}/src/apngasm-version.h
)
set(APNGASM_SOURCES
  ${PROJECT_SOURCE_DIR}/src/apngasm.cpp
  ${PROJECT_SOURCE_DIR}/src/apngframe.cpp
  ${PROJECT_SOURCE_DIR}/src/spec/specreader.cpp
  ${PROJECT_SOURCE_DIR}/src/spec/specwriter.cpp
  ${PROJECT_SOURCE_DIR}/src/spec/priv/specreaderimpl.cpp
  ${PROJECT_SOURCE_DIR}/src/spec/priv/specwriterimpl.cpp
  ${PROJECT_SOURCE_DIR}/src/listener/apngasmlistener.cpp
)

# Hack for MSYS2 to detect packages properly
# Note: this hack necessitates a 64 bit build
if (MSYS)
  include_directories("/mingw64/include")
  link_directories("/mingw64/lib")
  set(PNG_ROOT "/mingw64")
  set(ZLIB_ROOT "/mingw64")
  set(Boost_ROOT "/mingw64")
endif ()

# Add the dynamic/shared library
set(APNGASM_DYNAMIC_LIB_TARGET apngasm-dynamic)
add_library(${APNGASM_DYNAMIC_LIB_TARGET} SHARED
  ${APNGASM_SOURCES}
)
set_target_properties(${APNGASM_DYNAMIC_LIB_TARGET}
  PROPERTIES
  POSITION_INDEPENDENT_CODE TRUE
  OUTPUT_NAME apngasm
  CXX_STANDARD 20
)

# Add the static library/archive
set(APNGASM_STATIC_LIB_TARGET apngasm-static)
add_library(${APNGASM_STATIC_LIB_TARGET}
  ${APNGASM_SOURCES}
)
set_target_properties(${APNGASM_STATIC_LIB_TARGET}
  PROPERTIES
  POSITION_INDEPENDENT_CODE TRUE
  OUTPUT_NAME apngasm
  CXX_STANDARD 20
)

# Add libraries/includes
#target_link_libraries(${APNGASM_DYNAMIC_LIB_TARGET} stdc++fs)
#target_link_libraries(${APNGASM_STATIC_LIB_TARGET} stdc++fs)

find_package(PNG REQUIRED)
include_directories(${PNG_INCLUDE_DIR})
target_link_libraries(${APNGASM_DYNAMIC_LIB_TARGET} ${PNG_LIBRARY})
target_link_libraries(${APNGASM_STATIC_LIB_TARGET} ${PNG_LIBRARY})
message(${PNG_VERSION_STRING})

target_link_libraries(${APNGASM_DYNAMIC_LIB_TARGET} ${ZLIB_LIBRARIES})
target_link_libraries(${APNGASM_STATIC_LIB_TARGET} ${ZLIB_LIBRARIES})

#if (APPLE OR WIN32)
#    set(Boost_USE_STATIC_LIBS ON)
#endif ()
#set(Boost_USE_STATIC_LIBS OFF)
#SET(CMAKE_FIND_LIBRARY_SUFFIXES .dll.a .a .lib ${CMAKE_FIND_LIBRARY_SUFFIXES})
find_package(Boost REQUIRED COMPONENTS program_options regex system)
include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
target_link_libraries(${APNGASM_DYNAMIC_LIB_TARGET} Boost::program_options Boost::regex Boost::system)
target_link_libraries(${APNGASM_STATIC_LIB_TARGET} Boost::program_options Boost::regex Boost::system)

get_target_property(APNGASM_DYNAMIC_LIB_TARGET_NAME ${APNGASM_DYNAMIC_LIB_TARGET} OUTPUT_NAME)
get_target_property(APNGASM_STATIC_LIB_TARGET_NAME ${APNGASM_STATIC_LIB_TARGET} OUTPUT_NAME)
set(APNGASM_LIBRARIES
  ${PROJECT_BINARY_DIR}/${CMAKE_SHARED_LIBRARY_PREFIX}${APNGASM_DYNAMIC_LIB_TARGET_NAME}${CMAKE_SHARED_LIBRARY_SUFFIX}
  ${PROJECT_BINARY_DIR}/${CMAKE_STATIC_LIBRARY_PREFIX}${APNGASM_STATIC_LIB_TARGET_NAME}${CMAKE_STATIC_LIBRARY_SUFFIX}
)

# Installation
install(FILES ${APNGASM_HEADERS}
  DESTINATION "include"
)
if (NOT DEFINED LIB_INSTALL_DIR)
  set(LIB_INSTALL_DIR "lib")
endif ()
install(
  TARGETS
    ${APNGASM_DYNAMIC_LIB_TARGET}
    ${APNGASM_STATIC_LIB_TARGET}
  DESTINATION ${LIB_INSTALL_DIR}
)

# Create package command
set(PACKAGE_DIR ${PROJECT_BINARY_DIR}/package)

if (WIN32)
  string(REPLACE "$(Configuration)" "\\\${CMAKE_INSTALL_CONFIG_NAME}" INSTALL_LIBS "${INSTALL_LIBS}")
endif ()

configure_file(${PROJECT_SOURCE_DIR}/package/CMakeLists.txt.in ${PACKAGE_DIR}/CMakeLists.txt @ONLY)

if (UNIX OR APPLE OR MINGW)
  add_custom_target(
    package-lib
    COMMAND ${CMAKE_COMMAND} .
    COMMAND ${CMAKE_MAKE_PROGRAM} package
    WORKING_DIRECTORY ${PACKAGE_DIR}
)
endif ()

# Package .in
if (NOT WIN32 OR CYGWIN OR MINGW)
  # Set some pkg-config variables
  set(prefix      ${CMAKE_INSTALL_PREFIX})
  set(exec_prefix ${CMAKE_INSTALL_PREFIX})
  set(libdir      ${CMAKE_INSTALL_PREFIX}/${LIB_INSTALL_DIR})
  set(includedir  ${CMAKE_INSTALL_PREFIX}/include)
  set(LIBS "-lz -lpng")

  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libapngasm.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libapngasm.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libapngasm.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
endif ()

# SWIG
option(RUBY "Build Ruby interfaces")
option(JAVA "Build Java interfaces")

if (RUBY)
  include(${PROJECT_SOURCE_DIR}/interfaces/ruby/CMakeLists.txt)
endif ()

if (JAVA)
  include(${PROJECT_SOURCE_DIR}/interfaces/java/CMakeLists.txt)
endif ()

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

project(APNGASM_TEST)

link_directories(BEFORE ${PROJECT_BINARY_DIR}/../lib)

enable_testing()

# Generate C++ test
add_executable(apngasm-cpp-test
  EXCLUDE_FROM_ALL
  ${PROJECT_SOURCE_DIR}/cpp/apngasm-test.cpp
)

set_target_properties(apngasm-cpp-test
  PROPERTIES
  OUTPUT_NAME apngasm-cpp-test
  CXX_STANDARD 20
)

link_directories(${PROJECT_BINARY_DIR}/lib)
include_directories(
  ${PROJECT_SOURCE_DIR}/../lib/src
  ${CMAKE_BINARY_DIR}/lib/src
)
target_link_libraries(apngasm-cpp-test apngasm)

add_test(NAME apngasm-cpp-test
  COMMAND apngasm-cpp-test ${PROJECT_SOURCE_DIR}/samples
)

find_package(PNG REQUIRED)
include_directories(${PNG_INCLUDE_DIRS})
target_link_libraries(apngasm-cpp-test ${PNG_LIBRARIES})
find_package(ZLIB REQUIRED)
include_directories(${ZLIB_INCLUDE_DIRS})
target_link_libraries(apngasm-cpp-test ${ZLIB_LIBRARIES})

#file(COPY ${PROJECT_SOURCE_DIR}/samples DESTINATION ./)
file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/cli-out)
file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/cpp-out)

add_custom_command(
  DEPENDS
    ${CMAKE_BINARY_DIR}/test/apngasm-cpp-test
  OUTPUT
    ${CMAKE_BINARY_DIR}/test/cpp-out/circle_anim.png
    ${CMAKE_BINARY_DIR}/test/cpp-out/circle_anim2.png
    ${CMAKE_BINARY_DIR}/test/cpp-out/penguins.json
    ${CMAKE_BINARY_DIR}/test/cpp-out/penguins.xml
    ${CMAKE_BINARY_DIR}/test/cpp-out/test5_anim.png

  COMMAND apngasm-cpp-test ${PROJECT_SOURCE_DIR}/samples
)

add_custom_command(
  OUTPUT
    ${CMAKE_BINARY_DIR}/test/cli-out/logo-test.png

  COMMAND ${PROJECT_SOURCE_DIR}/cli/logo-test.sh
)

add_custom_command(
  OUTPUT
    ${CMAKE_BINARY_DIR}/test/cli-out/delay-test.png

  COMMAND ${PROJECT_SOURCE_DIR}/cli/delay-test.sh
)

add_custom_command(
  OUTPUT
    ${CMAKE_BINARY_DIR}/test/cli-out/json-test.png

  COMMAND ${PROJECT_SOURCE_DIR}/cli/json-test.sh
)

add_custom_command(
  OUTPUT
    ${CMAKE_BINARY_DIR}/test/cli-out/xml-test.png

  COMMAND ${PROJECT_SOURCE_DIR}/cli/xml-test.sh
)

add_custom_command(
  OUTPUT
   	${CMAKE_BINARY_DIR}/test/cli-out/disassemble-test/33.png
   	${CMAKE_BINARY_DIR}/test/cli-out/disassemble-test/animation.json
   	${CMAKE_BINARY_DIR}/test/cli-out/disassemble-test/xanimation.xml

  COMMAND ${PROJECT_SOURCE_DIR}/cli/disassemble-test.sh
)

add_custom_target(test
  DEPENDS
	# CPP
    ${CMAKE_BINARY_DIR}/test/cpp-out/circle_anim.png
    ${CMAKE_BINARY_DIR}/test/cpp-out/circle_anim2.png
    ${CMAKE_BINARY_DIR}/test/cpp-out/penguins.json
    ${CMAKE_BINARY_DIR}/test/cpp-out/penguins.xml
    ${CMAKE_BINARY_DIR}/test/cpp-out/test5_anim.png

	# CLI
    ${CMAKE_BINARY_DIR}/test/cli-out/logo-test.png
	${CMAKE_BINARY_DIR}/test/cli-out/delay-test.png
   	${CMAKE_BINARY_DIR}/test/cli-out/json-test.png
   	${CMAKE_BINARY_DIR}/test/cli-out/xml-test.png
   	${CMAKE_BINARY_DIR}/test/cli-out/disassemble-test/33.png
   	${CMAKE_BINARY_DIR}/test/cli-out/disassemble-test/animation.json
   	${CMAKE_BINARY_DIR}/test/cli-out/disassemble-test/xanimation.xml
)

=== lib/interfaces/java/CMakeLists.txt ===
# Generate java library with SWIG
FIND_PACKAGE(Java REQUIRED COMPONENTS Runtime Development)
INCLUDE(UseJava)
FIND_PACKAGE(JNI REQUIRED)
INCLUDE_DIRECTORIES(${JNI_INCLUDE_DIRS})
FIND_PACKAGE(SWIG REQUIRED)
INCLUDE(UseSWIG)

SET(SWIG_JAVA_TARGET java)
SET(SWIG_JAVA_LIB_NAME apngasm_java)
SET(SWIG_JAVA_PACKAGE_NAME japngasm)

SET(CMAKE_JNI_TARGET TRUE)
SET(CMAKE_SWIG_FLAGS -package ${SWIG_JAVA_PACKAGE_NAME})
SET(CMAKE_SWIG_OUTDIR "java")

SET(SWIG_INTERFACE_FILES
  "${PROJECT_SOURCE_DIR}/src/apng.i"
)

SET_SOURCE_FILES_PROPERTIES(${SWIG_INTERFACE_FILES}
  PROPERTIES
  CPLUSPLUS ON
)

INCLUDE_DIRECTORIES(
  ${PROJECT_SOURCE_DIR}/src
  ${PROJECT_BINARY_DIR}/src
)

SWIG_ADD_MODULE(${SWIG_JAVA_TARGET} java ${SWIG_INTERFACE_FILES})
SWIG_LINK_LIBRARIES(${SWIG_JAVA_TARGET} ${APNGASM_DYNAMIC_LIB_TARGET})
SET_TARGET_PROPERTIES(${SWIG_JAVA_TARGET}
  PROPERTIES
  EXCLUDE_FROM_ALL TRUE
  OUTPUT_NAME ${SWIG_JAVA_LIB_NAME}
)

ADD_DEPENDENCIES(${SWIG_JAVA_TARGET} ${APNGASM_DYNAMIC_LIB_TARGET})



# Generate jar with SWIG
SET(SWIG_JAR_TARGET jar)
SET(SWIG_JAR_NAME apngasm)
SET(SWIG_JAR_FILENAME ${SWIG_JAR_NAME}-${APNGASM_LIB_VERSION}.jar)
SET(APNGASM_JAVA_FILES
  ${PROJECT_BINARY_DIR}/${CMAKE_SWIG_OUTDIR}/APNGAsm.java
  ${PROJECT_BINARY_DIR}/${CMAKE_SWIG_OUTDIR}/APNGFrame.java
  ${PROJECT_BINARY_DIR}/${CMAKE_SWIG_OUTDIR}/rgb.java
  ${PROJECT_BINARY_DIR}/${CMAKE_SWIG_OUTDIR}/rgba.java
  ${PROJECT_BINARY_DIR}/${CMAKE_SWIG_OUTDIR}/APNGFrameVector.java
  ${PROJECT_BINARY_DIR}/${CMAKE_SWIG_OUTDIR}/SWIGTYPE_p_unsigned_char.java
  ${PROJECT_BINARY_DIR}/${CMAKE_SWIG_OUTDIR}/SWIGTYPE_p_p_unsigned_char.java
#  ${PROJECT_BINARY_DIR}/${CMAKE_SWIG_OUTDIR}/APNG.java
  ${PROJECT_BINARY_DIR}/${CMAKE_SWIG_OUTDIR}/APNGJNI.java
  ${PROJECT_BINARY_DIR}/${CMAKE_SWIG_OUTDIR}/NativeLibLoader.java
)

GET_TARGET_PROPERTY(SWIG_JAVA_LIB_FILENAME ${SWIG_JAVA_TARGET} LOCATION)
GET_FILENAME_COMPONENT(SWIG_JAVA_LIB_FILENAME ${SWIG_JAVA_LIB_FILENAME} NAME)

CONFIGURE_FILE(${PROJECT_SOURCE_DIR}/interfaces/java/NativeLibLoader.java.in ${PROJECT_BINARY_DIR}/${CMAKE_SWIG_OUTDIR}/NativeLibLoader.java @ONLY)

ADD_JAR(${SWIG_JAR_TARGET}
  SOURCES ${APNGASM_JAVA_FILES}
  VERSION ${APNGASM_LIB_VERSION}
  OUTPUT_NAME ${SWIG_JAR_NAME}
)
SET_TARGET_PROPERTIES(${SWIG_JAR_TARGET}
  PROPERTIES
  EXCLUDE_FROM_ALL TRUE
)

INSTALL_JAR(${SWIG_JAR_TARGET} ${LIB_INSTALL_DIR}/apngasm)
INSTALL_JNI_SYMLINK(${SWIG_JAR_TARGET} .)

ADD_DEPENDENCIES(${SWIG_JAR_TARGET} ${SWIG_JAVA_TARGET})

ADD_CUSTOM_COMMAND(TARGET ${SWIG_JAR_TARGET}
  POST_BUILD
  COMMAND ${JAVA_ARCHIVE} -uvf ${SWIG_JAR_FILENAME} ${SWIG_JAVA_LIB_FILENAME}
)

=== lib/interfaces/ruby/CMakeLists.txt ===
# Generate ruby library with SWIG
FIND_PACKAGE(Ruby REQUIRED)
FIND_PACKAGE(SWIG REQUIRED)
INCLUDE_DIRECTORIES(${RUBY_INCLUDE_DIRS})
INCLUDE(UseSWIG)

SET(SWIG_RUBY_TARGET ruby)
SET(SWIG_RUBY_LIB_NAME APNGAsm)

SET(CMAKE_SWIG_OUTDIR "ruby")

SET(SWIG_INTERFACE_FILES
  "${PROJECT_SOURCE_DIR}/src/apng.i"
)

SET_SOURCE_FILES_PROPERTIES(${SWIG_INTERFACE_FILES}
  PROPERTIES
  CPLUSPLUS ON
)

INCLUDE_DIRECTORIES(
  ${PROJECT_SOURCE_DIR}/src
  ${PROJECT_BINARY_DIR}/src
)

SWIG_ADD_MODULE(${SWIG_RUBY_TARGET} ruby ${SWIG_INTERFACE_FILES})
SWIG_LINK_LIBRARIES(${SWIG_RUBY_TARGET} ${APNGASM_DYNAMIC_LIB_TARGET})
SET_TARGET_PROPERTIES(${SWIG_RUBY_TARGET}
  PROPERTIES
  MODULE "RAPNGAsm"
  PREFIX "R"
  EXCLUDE_FROM_ALL TRUE
  OUTPUT_NAME ${SWIG_RUBY_LIB_NAME}
)

ADD_CUSTOM_TARGET(make_ruby_dirs
  COMMAND mkdir -p ${CMAKE_SWIG_OUTDIR}
  WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
)

ADD_DEPENDENCIES(${SWIG_RUBY_TARGET} ${APNGASM_DYNAMIC_LIB_TARGET} make_ruby_dirs)

=== debian/changelog ===
apngasm (3.1.10) impish; urgency=low

  * Switch to std fs.
  * Fix assembly bug where alpha was "stacking".
  * Update dependencies.
  * Other small fixes and improvements.

 -- 影月 零 (Rei Kagetsuki) <zero@phantom.industries>  Thu, 11 Nov 2021 11:11:11 +0900

apngasm (3.1.9) hirsute; urgency=low

  * various updates

 -- 影月 零 (Rei Kagetsuki) <zero@phantom.industries>  Wed, 11 Aug 2021 14:03:57 +0900

apngasm (3.1.8) disco; urgency=low

  * compatibility update

 -- 影月 零 (Rei Kagetsuki) <zero@phantom.industries>  Wed, 26 Jun 2018 13:42:57 +0900

apngasm (3.1.7) xenial; urgency=low

  * fixes for package builds and adjustments for ports

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Fri, 19 May 2017 11:48:57 +0900

apngasm (3.1.6) trusty; urgency=low

  * fix for boost 1.59(+)

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Fri, 21 Aug 2015 14:16:52 +0900

apngasm (3.1.5) trusty; urgency=low

  * fixed skip_first bug

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Thu, 13 Nov 2014 16:28:20 +0900

apngasm (3.1.4) trusty; urgency=low

  * fixed memory leaks
  * added more robust handling of PNG sources
  * added improvements for duplicate frames

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Tue, 21 Oct 2014 14:48:40 +0900

apngasm (3.1-3ppa0) trusty; urgency=low

  * fixed skip-frame issues
  * properly implemented disassemble with skipped frame
  * fixed JSON/XML issues

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Mon, 02 Jun 2014 16:39:55 +0900

apngasm (3.1-2ppa0) trusty; urgency=low

  * fixed hooks and listener for loops and frame skip
  * fixed JSON and XML parser for loops and frame skip
  * fixed loop and frame skip functionality from CLI

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Thu, 22 May 2014 10:45:16 +0900

apngasm (3.1-1ppa1) trusty; urgency=low

  * re-adjusted debian/rules for compatibility

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Thu, 15 May 2014 10:33:03 +0900

apngasm (3.1-1ppa0) trusty; urgency=low

  * add RGB/ARGB frame addtion in APNGAsm class
  * adjust dependencies for debian

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Wed, 14 May 2014 22:03:13 +0900

apngasm (3.1-0ppa2) trusty; urgency=low

  * adjust dependencies

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Tue, 13 May 2014 00:58:10 +0900

apngasm (3.1-0ppa1) trusty; urgency=low

  * debuild adjustment, PPA rebuild

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Mon, 12 May 2014 20:29:00 +0900

apngasm (3.1-0ppa0) trusty; urgency=low

  * Update to 3.1

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Tue, 06 May 2014 23:24:57 +0900

apngasm (3.0-0ppa0) saucy; urgency=low

  * Version 3.0.0 "stable" release.

 -- 影月 零 (Rei Kagetsuki) <zero@genshin.org>  Tue, 07 Jan 2014 01:03:26 +0900

=== debian/control ===
Source: apngasm
Section: devel
Priority: optional
Maintainer: Rei Kagetsuki <zero@phantom.industries>
Build-Depends: cmake, build-essential, cdbs, libpng-dev, libboost-dev, 
  libboost-program-options-dev, libboost-regex-dev,
  libboost-system-dev, libboost-filesystem-dev
Homepage: https://github.com/apngasm/apngasm
Vcs-Browser: https://github.com/apngasm/apngasm.git
Vcs-Git: git://github.com:apngasm/apngasm.git

Package: apngasm
Architecture: any
Depends: libapngasm,
  libboost-program-options1.67.0 | libboost-program-options1.63.0 | libboost-program-options-dev,
  ${shlibs:Depends}, ${misc:Depends}
Description: Animated PNG Assembler CLI tool
  Assemble APNG animations from PNG image sequences.
  This is the command line tool to create APNG files from
  individual PNG files.
  .
  The Animated Portable Network Graphics (APNG) file format is an
  extension to the Portable Network Graphics (PNG) specification. It
  allows for animated PNG files that work similarly to animated GIF
  files, while retaining backward compatibility with non-animated PNG
  files and adding support for 8-bit transparency and 24-bit images.

Package: libapngasm
Architecture: any
Depends: libpng16-16,
  libboost-regex1.71.0 | libboost-regex1.67.0 | libboost-regex1.63.0 | libboost-regex-dev,
  libboost-system1.71.0 | libboost-system1.67.0 | libboost-system1.63.0 | libboost-system-dev,
  libboost-filesystem1.71.0 | libboost-filesystem1.67.0 | libboost-filesystem1.63.0 | libboost-filesystem-dev,
  ${shlibs:Depends}, ${misc:Depends}
Description: APNG Assembler library
  C++ Library to assemble APNG animations from PNG image sequences
  or RGB+A data. apngasm can also be used to read and disassemble 
  PNG/APNG images.
  .
  The apngasm library can be used alone or in conjunction with many
  popular image processing libraries.
  .
  The Animated Portable Network Graphics (APNG) file format is an
  extension to the Portable Network Graphics (PNG) specification. It
  allows for animated PNG files that work similarly to animated GIF
  files, while retaining backward compatibility with non-animated PNG
  files and adding support for 8-bit transparency and 24-bit images.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

#%:
#	dh $@
